Package org.eclipse.e4.ui.workbench.modeling

# Annotation Interface IModelProcessorContribution.Apply

Enclosing interface:
  IModelProcessorContribution

@ComponentPropertyType @Target(TYPE) public static @interface IModelProcessorContribution.Apply
An OSGi service component property type used to specify the `apply` attribute, which defines in which case a processor is run. If not specified it defaults to `always`.

Since:
  1.16
See Also:
  - `IModelProcessorContribution.APPLY_PROPERTY_KEY`
  - `IModelProcessorContribution.APPLY_ALWAYS`
  - `IModelProcessorContribution.APPLY_INITIAL`

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`String`
`value`

## Element Details

### value

String value

Default:
  "always"